<?php
  //
  // Fully customized sidebar
  //

  //
  // 1 - Create your HTML code here
  //

  //
  // 2 - (Optional) Remove the Automated Network How It Works snippet code below:
  //
  $snippet = 'amnw_how_it_works&rid='.$referral_campaign_id;
  $position = 'sidebar';
  $json_data = fc_json_data_amnw_snippet($snippet,$position);
  if(isset($json_data[0]['amnw_snippet'])) {
    echo '<div class="mb-4">';
    echo htmlspecialchars_decode($json_data[0]['amnw_snippet']);
    echo '</div>';
  }
?>

<div class="mb-4">
  <?php
    $category_slug = 'memes';
    $position = 'sidebar';
    $quantity = 5;
    $page_number = 1;
    $json_data = fc_json_data_memes_category($category_slug,$position,$quantity,$page_number);

    if(isset($json_data[0]['id'])) {
      echo '
      <div id="sidebar_meme_posts" class="border rounded p-0 pt-sm-3 px-sm-3 sm_border_none mb-4 category_memes">
        <div class="mb-3 fw-bold"><span class="theme_font_color">Memes</span> Posts</div>
        ';

       for ($number=0; $number < 5; $number++) {
         if(isset($json_data[$number]['id'])) {
           echo '<hr class="text-secondary mb-4">';
           include 'layouts/assemble/list_post_meme_item.php';
         }
       }
      echo '<hr class="text-secondary d-md-none mb-4">';
      echo '</div> <!-- /#sidebar_meme_posts -->';
    }
  ?>
</div>

<div class="mb-4">
  <?php include('layouts/ads/sidebar_ad.php'); ?>
</div>

<div class="mb-4">
  <?php
    $category_slug = 'videos';
    $position = 'sidebar';
    $quantity = 5;
    $page_number = 1;
    $json_data = fc_json_data_memes_category($category_slug,$position,$quantity,$page_number);

    if(isset($json_data[0]['id'])) {
      echo '
      <div id="sidebar_video_posts" class="border rounded p-0 pt-sm-3 px-sm-3 sm_border_none category_videos">
        <div class="mb-3 fw-bold">
          <span class="theme_font_color">Videos</span> Posts
        </div>
        ';

       for ($number=0; $number < 5; $number++) {
         if(isset($json_data[$number]['id'])) {
           echo '<hr class="text-secondary mb-4">';
           include 'layouts/assemble/grid_post_video_item.php';
         }
       }
      echo '<hr class="text-secondary d-md-none mb-4">';
      echo '</div> <!-- /#sidebar_video_posts -->';
    }
  ?>
</div>

<div class="sticky_ad mb-4">
  <?php include('layouts/ads/sticky_ad.php'); ?>
</div>
