<div id="category_page" class="container-fluid p-0">
  <div class="container">
    <div id="bg_white" class="rounded-3 bg-white p-3 p-md-4 mb-4">
      <div class="row">
        <div id="column_posts" class="col-lg-8">

          <h1 class="fs-5 fw-bold">New <span class="theme_font_color"><?php echo $json_data[0]['category']; ?></span></h1>
          <HR class="text-secondary mb-4">

            <?php
              if($json_data[0]['category_slug'] == 'memes') {
                echo '<div id="list_items" class="mb-4">';
                  for ($number=0; $number < $json_data[0]['quantity_found']; $number++) {
                    if(isset($json_data[$number]['id'])) {
                      include 'layouts/assemble/list_post_meme_item.php';
                      echo '<HR class="text-secondary m-0">';
                    }
                  }
                echo '</div> <!-- /.row #list_items -->';
              }

              if($json_data[0]['category_slug'] == 'videos') {
                echo '<div id="grid_items" class="row row-cols-1 row-cols-sm-2 row-cols-md-2 g-3">';
                  for ($number=0; $number < $json_data[0]['quantity_found']; $number++) {
                    if(isset($json_data[$number]['id'])) {
                      include 'layouts/assemble/grid_post_video_item.php';
                      echo '<HR class="text-secondary d-sm-none m-0">';
                    }
                  }
                echo '</div> <!-- /.row #grid_items -->';
              }
            ?>

              <?php
              if($json_data[0]['page_numbers'] > 1) {

                $page_numbers = $json_data[0]['page_numbers'];
                if(isset($_GET['page_number']) > 0) { $current_page_number = $_GET['page_number']; } else { $current_page_number = 1; }

                echo '<div id="pagination" class="my-5">';

                    if($current_page_number >= 2 && $current_page_number <= $page_numbers) {
                      $previous_page_number = $current_page_number -1;
                      echo '<a class="btn btn-lg btn-outline-dark" href="'.$base_url.'/category/'.$json_data[0]['category_slug'].'/'.$previous_page_number.'">Previous</a>';
                    } else {
                      echo '<a class="btn btn-lg btn-outline-secondary disabled">Previous</a>';
                    }

                    if($current_page_number >= 1 && $current_page_number < $page_numbers) {
                      $next_page_number = $current_page_number + 1;
                      echo '<a class="btn btn-lg btn-outline-dark mx-2" href="'.$base_url.'/category/'.$json_data[0]['category_slug'].'/'.$next_page_number.'">Next</a>';
                    } else {
                      echo '<a class="btn btn-lg btn-outline-secondary mx-2 disabled">Next</a>';
                    }

                echo '</div> <!-- /#pagination -->';
              }
              ?>

              <div class="row mb-4 sticky_ad">
                <?php include 'layouts/ads/billboard_ad.php'; ?>
              </div>

        </div> <!-- /#column_posts -->

        <div id="content_sidebar" class="col-lg-4">
          <?php include 'layouts/assemble/sidebar_layout.php'; ?>
        </div> <!-- /#content_sidebar -->

      </div> <!-- /.row #category_page -->
    </div> <!-- /#bg_white -->

  </div> <!-- /.container #category_page -->
</div> <!-- /#category_page -->
