<div id="footer" class="bg-dark py-5">
  <div class="container">
    <?php
      //
      // Fully customized footer
      //

      //
      // 1 - Create your Footer Info code here
      //

      //
      // 2 - (Optional) Remove the Automated Network Footer Info snippet code below:
      //
      $snippet = 'amnw_footer_info&rid='.$referral_campaign_id;
      $position = 'footer';
      $json_data = fc_json_data_amnw_snippet($snippet,$position);
      if(isset($json_data[0]['amnw_snippet'])) {
        echo htmlspecialchars_decode($json_data[0]['amnw_snippet']);
      }
    ?>

    <div id="footer_links" class="mb-4">
      <ul class="nav justify-content-center">
        <li class="nav-item"><a href="<?php echo $base_url; ?>" class="nav-link text-muted"><?php echo $company_name; ?> <?php echo date("Y"); ?></a></li>
        <li class="nav-item"><a href="mailto:<?php echo $your_email; ?>" class="nav-link text-muted" target="_blank"><?php echo $your_email; ?></a></li>
        <li class="nav-item"><a href="<?php echo $base_url; ?>" class="nav-link text-muted">Made with <i class="bi bi-heart-fill theme_font_color ms-2"></i></a></li>
      </ul>
    </div> <!-- /#footer_links -->

    <div id="footer_social_media" class="mb-4">
      <ul class="list-unstyled d-flex justify-content-center fs-3">
        <?php
          //
          // Replace with your social media links
          //
        ?>
        <li><a href="<?php echo $server_url; ?>/?utm_link=facebook-footer-icon&rid=<?php echo $referral_campaign_id; ?>" target="_blank"><i class="bi bi-facebook"></i></a></li>
        <li class="ms-4"><a href="<?php echo $server_url; ?>/?utm_link=instagram-footer-icon&rid=<?php echo $referral_campaign_id; ?>" target="_blank"><i class="bi bi-instagram"></i></a></li>
        <li class="ms-4"><a href="<?php echo $server_url; ?>/?utm_link=twitter-footer-icon&rid=<?php echo $referral_campaign_id; ?>" target="_blank"><i class="bi bi-twitter"></i></a></li>
        <li class="ms-4"><a href="<?php echo $server_url; ?>/?utm_link=youtube-footer-icon&rid=<?php echo $referral_campaign_id; ?>" target="_blank"><i class="bi bi-youtube"></i></a></li>
        <li class="ms-4"><a href="<?php echo $server_url; ?>/?utm_link=email-footer-icon&rid=<?php echo $referral_campaign_id; ?>" target="_blank"><i class="bi bi-envelope"></i></a></li>
      </ul>
    </div> <!-- /#footer_social_media -->

    <div id="snippet_disclaimer" class="mb-4 text-center">
      <p class="text-secondary">
        <?php
          //
          // Fully customized Disclaimer
          //

          //
          // 1 - Create your own Disclaimer info here
          //

          //
          // 2 - Remove the Automated Network Sample Disclaimer snippet code below:
          //
          $snippet = 'amnw_sample_disclaimer';
          $position = 'footer';
          $json_data = fc_json_data_amnw_snippet($snippet,$position);
          if(isset($json_data[0]['amnw_snippet'])) {
            echo htmlspecialchars_decode($json_data[0]['amnw_snippet']);
          }
        ?>
      </p>
    </div> <!-- /#snippet_disclaimer -->

    <div id="snippet_powered_by" class="mb-4 text-center">
      <p class="text-secondary">
        <?php
          //
          // Edit your Referral ID campaign in _config.php
          //
          $snippet = 'amnw_powered_by&rid='.$referral_campaign_id;
          $position = 'footer';
          $json_data = fc_json_data_amnw_snippet($snippet,$position);
          if(isset($json_data[0]['amnw_snippet'])) {
            echo htmlspecialchars_decode($json_data[0]['amnw_snippet']);
          }
        ?>
      </p>
    </div> <!-- /#snippet_powered_by -->

  </div> <!-- /.container #footer -->
</div> <!-- /#footer -->

<script src="<?php echo $base_url; ?>/assets/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="<?php echo $server_url; ?>/assets/js/latest-javascript.min.js"></script>

<!-- Automated Network Ads -->
<script src="<?php echo $server_url; ?>/ads/show_ads.js?format=floating&pubcid=<?php echo $publisher_campaign_id; ?>"></script>

</body>
</html>
